Subject: Re: [bug#35641] [PATCH] services: gdm: Include user profile in D-Bus paths.

From: Timothy Sample <[email-masked]>
Date: Sat, 11 May 2019 13:45:29 -0400

Hi Ludo,

Ludovic Courtès <[email-masked]> writes:

> Timothy Sample <[email-masked]> skribis:
>
> [...]
>
>> Is it okay to assume that “.guix-profile” is the user’s profile like
>> this?  If it isn’t okay in general, is it okay enough for now?
>
> In this particular case, I’d say it’s OK.
>
> Do we have any other option on the table anyway?

We could run D-Bus from a login shell.  The reason I didn’t opt for this
is that GDM launches D-Bus from a stripped-down environment.  It’s not
clear to me if there’s a reason for doing so, or if it was just the way
the code came together.  Essentially, I’m trying to be conservative.

I’m still holding out hope that a future “user sessions” feature in Guix
will make all of these hacks go away.  :)

>>>>From e32c27dfa950d250520c3c8ecccba90add863639 Mon Sep 17 00:00:00 2001
>> From: Timothy Sample <[email-masked]>
>> Date: Wed, 8 May 2019 09:13:14 -0400
>> Subject: [PATCH] services: gdm: Include user profile in D-Bus paths.
>>
>> This partially addresses <https://bugs.gnu.org/35267>.
>>
>> * gnu/services/xorg.scm (dbus-daemon-wrapper): When '$HOME' is set,
>> include directories from '$HOME/.guix-profile' in the search paths of
>> the D-Bus daemon.
>
> [...]
>
>> +  (program-file
>> +   "gdm-dbus-wrapper"
>> +   #~(begin
>> +       (use-modules (srfi srfi-26))
>
> Same thing with a few comment explaining what you wrote above would be
> great.
>
> LGTM!

I pushed a nicer version (following the style of the “xinitrc” code)
with a long comment as dcb3a0fe0a086b4762a721e9b1da64826d5160d0.

Thanks for the review!

-- Tim